package models

import "encoding/xml"

type ReportResultEnvelope struct {
	XMLName xml.Name         `xml:"soap:Envelope"`
	Soap    string           `xml:"xmlns:soap,attr"`
	Xsi     string           `xml:"xmlns:xsi,attr"`
	Xsd     string           `xml:"xmlns:xsd,attr"`
	Body    ReportResultBody `xml:"soap:Body"`
}

type ReportResultBody struct {
	XMLName            xml.Name           `xml:"soap:Body"`
	GetReportResultReq GetReportResultReq `xml:"GetJSONReportItemListByCustomerBarocde"`
}

type GetReportResultReq struct {
	XMLName         xml.Name `xml:"http://tempuri.org/ GetJSONReportItemListByCustomerBarocde"`
	Key             string   `xml:"key"`
	CustomerBarCode string   `xml:"CustomerBarCode"`
}

type EnvelopeThree struct {
	XMLName xml.Name          `xml:"http://schemas.xmlsoap.org/soap/envelope/ Envelope"`
	Body    EnvelopeBodyThree `xml:"Body"`
}

type EnvelopeBodyThree struct {
	GetJSONReportItemListByCustomerBarocdeResponse GetJSONReportItemListByCustomerBarocdeResponse `xml:"GetJSONReportItemListByCustomerBarocdeResponse"`
}

type GetJSONReportItemListByCustomerBarocdeResponse struct {
	XMLName                                      xml.Name `xml:"http://tempuri.org/ GetJSONReportItemListByCustomerBarocdeResponse"`
	GetJSONReportItemListByCustomerBarocdeResult string   `xml:"GetJSONReportItemListByCustomerBarocdeResult"`
}

type ReportResultData struct {
	Res           int             `json:"Res"`
	Error         string          `json:"Error"`
	InspectResult []InspectResult `json:"Data"`
}

type InspectResult struct {
	ChargeItemName string `json:"ChargeItemName"`
	InspectionName string `json:"InspectionName"`
	InspectionCode string `json:"InspectionCode"`
	Result         string `json:"Result"`
	Reference      string `json:"Reference"`
	Barcode        string `json:"Barcode"`
	Unit           string `json:"Unit"`
	Flag           string `json:"Flag"`
	intFlag        int    `json:"intFlag"`
	ListResult     GPReportListResultData
}

type DataPrintCode struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	HisUserId   string `gorm:"column:his_user_id" json:"his_user_id" form:"his_user_id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	RecordDate  int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	ProjectName string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime       int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	PrintId     int64  `gorm:"column:print_id" json:"print_id" form:"print_id"`
	PatientId   int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
}

func (DataPrintCode) TableName() string {
	return "print_code"
}

type XtHisLabelPrintStatusInfo struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId          int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	IsCombinationPrint int64  `gorm:"column:is_combination_print" json:"is_combination_print" form:"is_combination_print"`
	RecordDate         string `gorm:"column:record_date" json:"record_date" form:"record_date"`
	ItemIds            string `gorm:"column:item_ids" json:"item_ids" form:"item_ids"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectIds         string `gorm:"column:project_ids" json:"project_ids" form:"project_ids"`
	DoctorId           int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	Ids                string `gorm:"column:ids" json:"ids" form:"ids"`
	IsTeam             int64  `gorm:"column:is_team" json:"is_team" form:"is_team"`
	IsPrint            int64  `gorm:"column:is_print" json:"is_print" form:"is_print"`
	ApplyCode          string `gorm:"column:apply_code" json:"apply_code" form:"apply_code"`
}

func (XtHisLabelPrintStatusInfo) TableName() string {
	return "his_label_print_status_info"
}

type HisLabelPrintInfo struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId      int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number         string `gorm:"column:number" json:"number" form:"number"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	DoctorId       int64  `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	ProjectName    string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	ProjectId      int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	IsPrint        int64  `gorm:"column:is_print" json:"is_print" form:"is_print"`
	RecordDate     int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	ItemId         int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	PProjectId     int64  `gorm:"column:p_project_id" json:"p_project_id" form:"p_project_id"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	DoctorName     string `gorm:"column:doctor_name" json:"doctor_name" form:"doctor_name"`
	PatientName    string `gorm:"column:patient_name" json:"patient_name" form:"patient_name"`
	FeedetlSn      string `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	PrescriptionId int64  `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	ApplyCode      string `gorm:"column:apply_code" json:"apply_code" form:"apply_code"`
}

func (HisLabelPrintInfo) TableName() string {
	return "his_label_print_info"
}
